### Method

# GtkSource Buffer sort_lines

#### Declaration [src]

    void
    gtk_source_buffer_sort_lines (
      GtkSourceBuffer* buffer,
      GtkTextIter* start,
      GtkTextIter* end,
      GtkSourceSortFlags flags,
      gint column
    )

#### Description [src]

Sort the lines of text between the specified iterators.

#### Parameters

`start`

  Type: `GtkTextIter`

  A `GtkTextIter`.

  The data is owned by the caller of the method.

`end`

  Type: `GtkTextIter`

  A `GtkTextIter`.

  The data is owned by the caller of the method.

`flags`

  Type: `GtkSourceSortFlags`

  `GtkSourceSortFlags` specifying how the sort should behave.

`column`

  Type: `gint`

  Sort considering the text starting at the given column.